* {
  margin: 0;
  padding: 0;
}

html {
  --dark-grey: #52525b;
  --middle-grey: #bbb;
  --light-grey: rgb(204, 203, 203);
}

body {
  color: whitesmoke;
  font-family: monospace;

  min-height: 100vh;
  height: 100%;

  min-width: 100vh;
  width: 100%;

  display: grid;
  grid-template-rows: 0.12fr 1.03fr 0.05fr;

  margin: 0;
  padding: 0;
  
  background: url(./Images/light_sky_stars_background_85555_1920x1080.jpg);
  background-size: cover;
  background-repeat: no-repeat;

}

main,
footer,
#current,
#daily,
#left-slider,
#right-slider {
  display: flex;
  justify-content: center;
  align-items: center;
}


/* Header Section */

header {
  grid-area: 1 / 1 / 2 / 2;

  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

#header {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  height: 100%;
}

#title-div {
  grid-area: 1 / 1 / 2 / 2;

  display: flex;
  justify-content: start;
  align-items: center;
}

.logo {
  margin: 0.8rem;
  width: 11%;
  height: 50%;
  padding-left: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo img {
  filter: invert(100%) sepia(100%) saturate(100%) hue-rotate(246deg) brightness(102%) contrast(143%);
}

.title-text {
  padding-left: 2rem;
  font-size: 2rem;
  font-weight: 700;
  color: var(--middle-grey);
}

#search-div {
  grid-area: 1 / 2 / 2 / 3;

  display: flex;
  justify-content: center;
  align-items: center;
}

#search {
  font-size: 1.3rem;
  padding: 0.5rem 1rem;
  border: none;
  border-radius: 10px 0px 0px 10px;
}

#search-btn {
  font-size: 1.3rem;
  padding: 0.5rem 1rem;
  border: none;
  border-radius: 0px 10px 10px 0px;
  cursor: pointer;
}

#toggle-div {
  grid-area: 1 / 3 / 2 / 4;

  display: flex;
  justify-content: end;
  align-items: center;
}

.degree,
.wind {
  margin-right: 1.6rem;
  display: flex;
  flex-direction: row;
}

.degree-c,
.wind-k {
  background-color: rgb(204, 203, 203);
  border-radius: 10px 0px 0px 10px;
  font-size: 0.8rem;
  padding: 0.5rem 1rem;
  cursor: pointer;
}

.degree-f,
.wind-m {
  background-color: rgb(204, 203, 203);
  border-radius: 0px 10px 10px 0px;
  font-size: 0.8rem;
  padding: 0.5rem 1rem;
  cursor: pointer;
}

.active {
  color: black;
  font-weight: 600;
  background-color: #bbb;
}


/* Current Section */

main {
  grid-area: 2 / 1 / 3 / 2;

  display: grid;
  grid-template-columns: 1fr 9fr 1fr;
  grid-template-rows: repeat(3, 1fr);
  background-color: rgba(0, 0, 0, 0.2);
  row-gap: 1.5rem;
}

#current-parent {
  grid-area: 1 / 1 / 2 / 4;

  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
}

#current {
  display: grid;
  grid-template-rows: 2fr 1fr 4fr;
  grid-template-columns: repeat(7, 1fr);
  width: 80%;
}

#current div:not(#temperature-f, #realfeel-f, #wind-m, #temperature-c.hidden, #realfeel-c.hidden, #wind-k.hidden ),
#temperature-f.hidden,
#realfeel-f.hidden,
#wind-m.hidden {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

#location,
#timezone {
  display: flex;
  justify-content: center;
  align-items: center;
}

#location {
  grid-area: 1 / 1 / 2 / 8;
  font-size: 1.6rem;
  font-weight: 600;
}

#timezone {
  grid-area: 2 / 1 / 3 / 8;
  font-size: 1.2rem;
  color: var(--light-grey);
}

#temperature {
  grid-area: 3 / 1 / 4 / 2;
}

#realfeel {
  grid-area: 3 / 2 / 4 / 3;
}

#wind {
  grid-area: 3 / 3 / 4 / 4;
}

#condition {
  grid-area: 3 / 4 / 4 / 5;
}

#cloud {
  grid-area: 3 / 5 / 4 / 6;
}

#precipitation {
  grid-area: 3 / 6 / 4 / 7;
}

#humidity {
  grid-area: 3 / 7 / 4 / 8;
}

.current-styling {
  font-size: 1.6rem;
  font-weight: 500;
}


.current-text {
  font-size: 1rem;
  font-weight: 500;
  display: flex;
  align-items: start;
  padding-bottom: 1.6rem;
  color: var(--dark-grey);
}


/* Toggling Dump */

.maxwind_kph, 
.maxwind_mph.hidden,
.temp_c,
.maxtemp_c,
.mintemp_c,
.temp_f.hidden,
.maxtemp_f.hidden,
.mintemp_f.hidden {
  display: block;
}

.maxwind_kph.hidden, 
.maxwind_mph,
#wind-m,
#wind-k.hidden,
#realfeel-c.hidden,
#temperature-c.hidden,
#realfeel-f,
#temperature-f,
.temp_f,
.maxtemp_f,
.mintemp_f,
.temp_c.hidden,
.maxtemp_c.hidden,
.mintemp_c.hidden {
  display: none;
}



/* Hourly Section */

#hourly-parent {
  grid-area: 2 / 2 / 3 / 3;

  display: grid;
  grid-template-rows: 2fr 9fr 1fr;

  height: 100%;
}

#h-forecast {
  grid-area: 1 / 1 / 2 / 2;

  display: flex;
  justify-content: center;
  align-items: center;

  font-size: 1.6rem;
  font-weight: 600;
}

#hourly {
  grid-area: 2 / 1 / 3 / 2;

  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  column-gap: 2rem;
}

.hours {
  width: 12%;
  height: 80%;
  
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: column;
  row-gap: 0.8rem;
  font-size: 1.2rem;
  font-weight: 500;
}

.hour {
  color: var(--light-grey);
}

/* Dot Section */

.dot-nav {
  grid-area: 3 / 1 / 4 / 2;

  display: flex;
  justify-content: center;
  align-items: center;
}

.dot {
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

/* Slider and Dot Pseudo Section */

#left-slider {
  grid-area: 2 / 1 / 3 / 2;
}

#right-slider {
  grid-area: 2 / 3 / 3 / 4;
}

.slider-btn {
  display: flex;
  justify-content: center;
  align-items: center;

  cursor: pointer;
  width: auto;
  height: 20%;
  padding: 8px 16px;
  color: rgb(0, 0, 0);
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  background-color: rgba(255, 255, 255, 0.5);
  border-radius: 50%;
}

.previous:hover,
.next:hover {
  color: rgb(255, 253, 253);
  background-color: rgba(61, 59, 59, 0.8);
}


.active, .dot:hover {
  background-color: #717171;
}


/* Daily Section */

#daily-parent {
  grid-area: 3 / 1 / 4 / 4;

  display: grid;
  grid-template-rows: 1fr 4fr;
  
  width: 100%;
  height: 100%;
}

#d-forecast {
  grid-area: 1 / 1 / 2 / 2;

  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.6rem;
  font-weight: 600;
  padding-bottom: 0.8rem;
}

#daily {
  grid-area: 2 / 1 / 3 / 2;

  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  column-gap: 2rem;
  width: 80%;
  height: 100%;
  margin: auto;
}

.day {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  width: 12%;
  height: 80%;
}

.date {
  font-size: 1rem;
}

.day-item {
  font-size: 0.8rem;
  padding-bottom: 0.4rem;
}


/* Footer Section */

footer {
  grid-area: 3 / 1 / 4 / 2;
  
  background-color: rgb(0, 0, 0, 0.2);
  padding-top: 1.5rem;
}

#footer {
  display: flex;
  justify-content: start;
  align-items: center;
  text-align: end;
  width: 100%;
  height: 100%;
}

#footer-text {  
  font-size: 1rem;
  font-weight: 600;
  color: whitesmoke;
  text-shadow: 2px 2px 12px violet;
  width: 50%;
  padding-right: 1rem;
}

#github-icon {
  font-size: 1rem;
  align-items: center;
  justify-content: center;
  height: 100%;
  cursor: pointer;
}

#github-icon img {
  height: 80%;
  margin-left: 1rem;
}

#github-icon img:hover {
  height: 85%;
}